/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.DepositoBancarioDAO;
import com.rjconsultores.ventaboletos.entidad.DepositoBancario;
import com.rjconsultores.ventaboletos.service.DepositoBancarioService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("depositoBancarioService")
public class DepositoBancarioServiceImpl implements DepositoBancarioService {

    @Autowired
    private DepositoBancarioDAO depositoBancarioDAO;

    public List<DepositoBancario> obtenerTodos() {
        return depositoBancarioDAO.obtenerTodos();
    }

    public DepositoBancario obtenerID(Integer id) {
        return depositoBancarioDAO.obtenerID(id);
    }

    @Transactional
    public DepositoBancario suscribir(DepositoBancario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return depositoBancarioDAO.suscribir(entidad);
    }

    @Transactional
    public DepositoBancario actualizacion(DepositoBancario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return depositoBancarioDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(DepositoBancario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        depositoBancarioDAO.actualizacion(entidad);
    }
}
